libmongodb-perl (2.2.0-1) unstable; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * Add "Rules-Requires-Root: no"
  * Import upstream version 2.2.0

 -- Xavier Guimard <yadd@debian.org>  Thu, 10 Oct 2019 22:40:12 +0200

libmongodb-perl (2.0.3-1) unstable; urgency=medium

  * Import upstream version 2.0.3.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Feb 2019 02:37:36 +0100

libmongodb-perl (2.0.2-2) unstable; urgency=medium

  * Disable build dependency on mongodb-server which won't be in buster.
    (Closes: #919090)
  * Drop unneeded version constraints from (build) dependencies.
  * Update (build) dependencies on dual-lifed modules.
  * Bump debhelper compatibility level to 11.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jan 2019 17:57:48 +0100

libmongodb-perl (2.0.2-1) unstable; urgency=medium

  * Email change: Xavier Guimard -> yadd@debian.org
  * Import upstream version 2.0.2
  * Set minimal dependencies: libbson-perl 1.10.1, libbson-xs-perl 0.6.0
  * Declare compliance with policy 4.2.1

 -- Xavier Guimard <yadd@debian.org>  Sat, 01 Dec 2018 19:30:43 +0100

libmongodb-perl (2.0.1-2) unstable; urgency=medium

  * Add libbson-xs-perl in build and recommended dependencies

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 01 Aug 2018 23:31:13 +0200

libmongodb-perl (2.0.1-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Import upstream version 2.0.1
  * Remove spelling-error.patch now included in upstream
  * Since package now uses BSON or BSON::XS instead of its bson files:
    - remove copyrights from ppport.h, inc/Module/Install*, bson/*, pstdint.h
    - remove debian/copyright comment on yajl/header.h
    - move arch to "all"
    - move build dependencies to Build-Depends-Indep except debhelper
    - remove ${shlibs:Depends}
    - update debian/NEWS
  * Add libauthen-sasl-saslprep-perl, libnet-dns-perl, libsub-quote-perl and
    libuuid-urandom-perl in dependencies
  * Declare compliance with policy 4.1.5
  * Add inc/ExtUtils/HasCompiler.pm license in debian/copyright
  * Require libbson-perl 1.6.6

  [ gregor herrmann ]
  * Remove some (build) dependencies.

  [ Xavier Guimard ]
  * Replace localhost by the same value as given to --bind_ip in
    override_dh_auto_test (127.0.0.1) else tests are skipped
  * Enable a mongodb server in autopkgtest smoke test

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 30 Jul 2018 16:20:48 +0200

libmongodb-perl (1.8.2-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Import upstream version 1.8.2
  * Declare compliance with policy 4.1.4
  * Add myself to uploaders
  * Use https Apache license link

  [ gregor herrmann ]
  * Update versioned (build) dependencies.
  * Fix typo in previous changelog entry.

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 30 May 2018 22:10:19 +0200

libmongodb-perl (1.8.1-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ gregor herrmann ]
  * Import upstream version 1.8.1.
  * Remove lintian override (false positive fixed in lintian).
  * Update years of upstream and packaging copyright.
  * Bump debhelper compatibility level to 10.
  * Bump recommended alternative dependency on IO::Socket::IP.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Jan 2018 18:27:35 +0100

libmongodb-perl (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.8.0.
  * Drop fix spelling patch, applied upstream.
  * debian/control:
    + add new dependency lbbson-perl.
    + add 'Testsuite: autopkgtest-pkg-perl'.
    + Declare compliance with Debian Policy 4.1.0.
  * Add lintian override for false positive spelling error 'CAs'.
  * debian/copyright: update copyright years.

 -- Nuno Carvalho <smash@cpan.org>  Fri, 29 Sep 2017 10:31:17 +0100

libmongodb-perl (1.4.5-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Nuno Carvalho ]
  * Import upstream version 1.4.5.
  * Update and forward spelling.patch.
  * Add debian/NEWS mentioning deprecated classes.
  * debian/control: drop required version for libio-socket-ssl-perl per cme
    suggestion.

 -- Nuno Carvalho <smash@cpan.org>  Fri, 09 Sep 2016 10:13:25 +0100

libmongodb-perl (1.2.3-1) unstable; urgency=medium

  * Import upstream version 1.2.3.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 3.9.8.
  * Add another fix to spelling.patch. Thanks to lintian.
  * debian/rules: set bindnow linker flag.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Apr 2016 15:52:07 +0200

libmongodb-perl (1.2.2-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 1.2.2.
  * Update years of upstream copyright.
  * Add (build) dependency on JSON::PP 2.27300.
  * Declare compliance with Debian Policy 3.9.7.
  * Add more spelling fixes to spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Feb 2016 22:15:18 +0100

libmongodb-perl (1.2.1-1) unstable; urgency=medium

  * Import upstream version 1.2.1.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Jan 2016 17:09:09 +0100

libmongodb-perl (1.2.0-1) unstable; urgency=medium

  * Import upstream version 1.2.0.
  * Refresh spelling.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Thu, 10 Dec 2015 19:03:35 +0100

libmongodb-perl (1.0.4-1) unstable; urgency=medium

  * Import upstream version 1.0.4.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2015 21:26:04 +0100

libmongodb-perl (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Delete patch applied upstream.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 16 Nov 2015 00:07:20 -0500

libmongodb-perl (1.0.2-2) unstable; urgency=medium

  * Add patch from Niko Tyni to fix endianness issue in tests.
    (Closes: #803178)

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Oct 2015 23:51:42 +0100

libmongodb-perl (1.0.2-1) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Import upstream version 1.0.2.
  * Refresh spelling.patch (offset).
  * Add more fixes to spelling.patch.
  * debian/copyright: drop paragraphs about removed files.
  * Update years of packaging copyright.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Oct 2015 22:44:16 +0100

libmongodb-perl (0.708.4.0-1) unstable; urgency=medium

  [ Harlan Lieberman-Berg ]
  * New upstream version.

  [ gregor herrmann ]
  * Update build dependencies.
  * Update years of upstream copyright.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 29 Aug 2015 22:43:14 -0400

libmongodb-perl (0.705.0.0-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominique Dumont ]
  * Imported Upstream version 0.705.0.0
  * control:
    * update dep libtest-deep-perl (>= 0.111)
    * update std-version to 3.9.6

 -- Dominique Dumont <dod@debian.org>  Thu, 09 Oct 2014 16:20:23 +0200

libmongodb-perl (0.704.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Aug 2014 14:34:33 +0200

libmongodb-perl (0.704.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependencies which are not needed anymore.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Jul 2014 20:41:25 +0200

libmongodb-perl (0.704.1.0-2) unstable; urgency=medium

  [ Dominique Dumont ]
  * control: add missing version on libdatetime-perl dependency
  * copyright: added comment about not-so-convenience copy of yajl files
  * copyright: renamed aladdin license to zlib/png

  [ gregor herrmann ]
  * Fix typo in previous changelog entry.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Jun 2014 17:25:40 +0200

libmongodb-perl (0.704.1.0-1) unstable; urgency=medium

  * Remove repackaging framework. The dubious directory is gone.

  * New upstream release.
    PERL-108: removed previously-deprecated AUTOLOAD functions.
  * Update upstream and packaging copyright years;
    add new third-party files.
  * Update build and runtime dependencies.
  * Drop patch fix-utf8-in-pod, fixed upstream.
  * Drop patch fix-manpage-spelling.patch, merged upstream.
  * Drop patch fix-db-test, fixed upstream.
  * Drop patch 5.14-ccflags.patch, not needed anymore.
  * Add patch to fix a spelling mistake in the POD.
  * debian/rules: override_dh_clean: upstream backup file was removed.
  * debian/rules: wrap override_dh_auto_test in check for nocheck in
    DEB_BUILD_OPTIONS. dh_auto_test honours DEB_BUILD_OPTIONS already, but
    we're manually starting and tearing down a mongod instance which is
    not necessary if we don't run the tests.
  * Install CONTRIBUTING.md documentation.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Jun 2014 01:10:06 +0200

libmongodb-perl (0.702.2+ds-2) unstable; urgency=medium

  * rules: find an unused port for mongod to listen to (Closes: #719641)
  * control: added BD on net-tools
  * added patch to fix utf8 error in pod doc

 -- Dominique Dumont <dod@debian.org>  Tue, 29 Apr 2014 12:53:18 +0200

libmongodb-perl (0.702.2+ds-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * Update upstream contact, copyright holder, and packaging years.
  * Declare compliance with Debian Policy 3.9.5.
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * Fix typo in Vcs-Browser header (Thanks DUCK!)

  [ Dominique Dumont ]
  * added fix-db-test patch (Closes: #730913)
  * added /me to Uploaders

 -- Dominique Dumont <dod@debian.org>  Thu, 10 Apr 2014 18:35:36 +0200

libmongodb-perl (0.702.1+ds-1) unstable; urgency=low

  * Only depend on mongod on i386 and amd64 (the only architectures the
    test suite is available on). Patch from Niko Tyni (Closes: #719593)
  * Ignore failures to stop the test mongod process, since it may have
    not started up successfully if mongod was started from an init script
    (see: #719641)
  * Remove editor backup files
  * Add repacking to remove mongo-meta-driver director, which has unclear
    licensing in parts and isn't needed
  * New upstream release (Closes: #719591)
  * Don't delete a shipped editor backup file
  * Rebase spelling patch, drop fix-broken-test patch (applied upstream)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 17 Aug 2013 21:06:11 +0200

libmongodb-perl (0.700.0-1) unstable; urgency=low

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Bump debhelper compatibility level to 9 for hardening support.
  * debian/copyright: Update formatting to v1.0 format.
  * Enable test suite, and fix test errors.
  * Fix minor spelling errors.

  [ gregor herrmann ]
  * New upstream release.
  * Update build/runtime dependencies.
  * Update years of packaging copyright.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Dec 2012 22:14:03 +0100

libmongodb-perl (0.45-1) unstable; urgency=low

  * New upstream release.
  * Rename source package to libmongodb-perl.
  * Update 5.14-ccflags.patch (CCFLAGS are now set in
    ext/Module/Install/PRIVATE/Mongo.pm).
  * debian/copyright: update formatting, add info about third-party files,
    add Apache-2.0 license stanza.
  * Bump debhelper compatibility level to 8.
  * Add /me to Uploaders.
  * Add a patch to fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Sep 2011 22:46:29 +0200

mongodb-perl (0.44-2) unstable; urgency=low

  * Add patch adding $Config{ccflags} to CCFLAGS to fix FTBFS with
    perl 5.14 (Closes: #638894)

 -- Dominic Hargreaves <dom@earth.li>  Wed, 24 Aug 2011 19:28:12 +0100

mongodb-perl (0.44-1) unstable; urgency=low

  * Add Vcs-* control fields
  * New upstream release (Closes: #614020)
    - fixes FTBFS with perl 5.14 (Closes: #637602)
  * Update Standards-Version (no changes)
  * Add watch file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Dominic Hargreaves <dom@earth.li>  Sun, 21 Aug 2011 12:29:30 +0100

mongodb-perl (0.39-1) unstable; urgency=low

  * Initial release (Closes: #599219)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 19 Nov 2010 11:18:38 +0100
